# Оператор	Описание
# .	Один любой символ, кроме новой строки \n.
# ?	0 или 1 вхождение шаблона слева
# +	1 и более вхождений шаблона слева
# *	0 и более вхождений шаблона слева
# \w	Любая цифра или буква (\W — все, кроме буквы или цифры)
# \d	Любая цифра [0-9] (\D — все, кроме цифры)
# \s	Любой пробельный символ (\S — любой непробельный символ)
# \b	Граница слова
# [..]	Один из символов в скобках ([^..] — любой символ, кроме тех, что в скобках)
# \	Экранирование специальных символов (\. означает точку или \+ — знак «плюс»)
# ^ и $	Начало и конец строки соответственно
# {n,m}	От n до m вхождений ({,m} — от 0 до m)
# a|b	Соответствует a или b
# ()	Группирует выражение и возвращает найденный текст
# \t, \n, \r	Символ табуляции, новой строки и возврата каретки соответственно
import re

#2 zadanie
#  Написать пример регулярного выражения, которое совпадает сразу с тремя строками: "dog", "box", "bog".
# for_rr = re.findall(r'(.[o][gx])', t_text4)
# for_re1 = re.findall(r'(.[o].)', t_text4)
# for_rr = re.findall(r'[db][o]\w', t_text4)

#  Написать пример регулярного выражения, которое не совпадает сразу с тремя строками: "dog", "box", "bog", но совпадет с “cot”
# for_re2 = re.findall(r'([c].[t])', t_text4)

# 3 zadanie
# Написать пример регулярного выражения, которое совпадает с "d", "dog", "dogog", но не совпадает с "dogogog".
# for_rr = re.findall(r'(d[og]{,4}\b)', t_text4)


def test_re(*text):
    # text = input('Your text')
    t_text4 = 'dog da dogd jgd fsome d gnjanvcklsdgagn dogog cot dogogog sfrt bog lsw box'
    standart = re.findall(r'\w*[a-zA-Z1-9]', t_text4)
    for_rr = re.findall(r'(d[og]{,4}\b)', t_text4)
    print(standart)
    print(for_rr)



if __name__ == '__main__':
    test_re()